summaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/fuzzel-floating16
1 files changed, 16 insertions, 0 deletions
diff --git a/.local/bin/fuzzel-floating b/.local/bin/fuzzel-floating
new file mode 100755
index 0000000..4828a3b
--- /dev/null
+++ b/.local/bin/fuzzel-floating
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+file="$(
+ {
+ echo "$XDG_DATA_HOME"
+ echo "$XDG_DATA_DIRS" | tr : '\n'
+ } \
+ | sed -E -e 's|$|/applications|' \
+ | tr '\n' '\0' \
+ | find -files0-from - -name "$FUZZEL_DESKTOP_FILE_ID" 2>/dev/null \
+ | head -n1
+)"
+[ -z "$file" ] && exit 1
+cmd="$(sed -n '/^Exec=/ { s///; s/ *%u//g; p; q; }' "$file")"
+[ -z "$cmd" ] && exit 1
+wl-proxy -a "$(basename "$FUZZEL_DESKTOP_FILE_ID" .desktop)-floating" -- $cmd